> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getcargo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get workspace login providers

> Get the login providers for a workspace



## OpenAPI

````yaml https://api.getcargo.io/openapi.json get /workspaceManagement/workspaces/loginProviders
openapi: 3.1.0
info:
  title: Cargo API
  version: 1.0.0
  description: Cargo Platform API v1
servers:
  - url: https://api.getcargo.io/v1
    description: Cargo API
security:
  - bearerAuth: []
paths:
  /workspaceManagement/workspaces/loginProviders:
    get:
      tags:
        - Workspace Management - Workspaces
      summary: Get workspace login providers
      description: Get the login providers for a workspace
      parameters:
        - in: query
          name: email
          schema:
            type: string
            format: email
            pattern: >-
              ^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
          required: true
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  allowedProviders:
                    anyOf:
                      - type: array
                        items:
                          type: string
                          enum:
                            - email
                            - google-oauth2
                            - azuread
                            - okta
                      - type: 'null'
                  ssoIdentifier:
                    anyOf:
                      - type: string
                      - type: 'null'
                required:
                  - allowedProviders
                  - ssoIdentifier
                additionalProperties: false
                title: Response body
                description: Response body schema.
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '500':
          description: Internal server error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````